Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.metadata

# Class FbMetadataConstants

java.lang.Object
org.firebirdsql.jdbc.metadata.FbMetadataConstants

@InternalApi public final class FbMetadataConstants extends Object
Constants for metadata as used in the Firebird metadata tables `DatabaseMetaData` implementation.

Since:
  4.0
Author:
  Mark Rotteveel

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BIGINT_PRECISION`
`static final int`
`blob_type`
`static final int`
`BOOLEAN_BINARY_PRECISION`
`static final int`
`boolean_type`
`static final int`
`char_type`
`static final int`
`cstring_type`
`static final int`
`d_float_type`
`static final int`
`DATE_PRECISION`
`static final int`
`date_type`
`static final int`
`dec16_type`
`static final int`
`dec34_type`
`static final int`
`DECFLOAT_16_PRECISION`
`static final int`
`DECFLOAT_34_PRECISION`
`static final int`
`DOUBLE_BINARY_PRECISION`
`static final int`
`DOUBLE_DECIMAL_PRECISION`
`static final int`
`double_type`
`static final int`
`ex_time_tz_type`
`static final int`
`ex_timestamp_tz_type`
`static final int`
`FLOAT_BINARY_PRECISION`
`static final int`
`FLOAT_DECIMAL_PRECISION`
`static final int`
`float_type`
`static final int`
`int128_type`
`static final int`
`int64_type`
`static final int`
`INTEGER_PRECISION`
`static final int`
`integer_type`
`static final int`
`NUMERIC_BIGINT_PRECISION`
`static final int`
`NUMERIC_INT128_PRECISION`
`static final int`
`NUMERIC_INTEGER_PRECISION`
`static final int`
`NUMERIC_SMALLINT_PRECISION`
`static final int`
`OBJECT_NAME_LENGTH`
`static final int`
`OBJECT_NAME_LENGTH_BEFORE_V4_0`
`static final int`
`OBJECT_NAME_LENGTH_V4_0`
`static final int`
`quad_type`
`static final int`
`RADIX_BINARY`
`static final int`
`RADIX_DECIMAL`
`static final int`
`SMALLINT_PRECISION`
`static final int`
`smallint_type`
`static final int`
`SUBTYPE_DECIMAL`
`static final int`
`SUBTYPE_NUMERIC`
`static final int`
`TIME_PRECISION`
`static final int`
`time_type`
`static final int`
`time_tz_type`
`static final int`
`TIME_WITH_TIMEZONE_PRECISION`
`static final int`
`TIMESTAMP_PRECISION`
`static final int`
`timestamp_type`
`static final int`
`timestamp_tz_type`
`static final int`
`TIMESTAMP_WITH_TIMEZONE_PRECISION`
`static final int`
`varchar_type`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SUBTYPE_NUMERIC

public static final int SUBTYPE_NUMERIC

See Also:
  - Constant Field Values

### SUBTYPE_DECIMAL

public static final int SUBTYPE_DECIMAL

See Also:
  - Constant Field Values

### FLOAT_BINARY_PRECISION

public static final int FLOAT_BINARY_PRECISION

See Also:
  - Constant Field Values

### FLOAT_DECIMAL_PRECISION

public static final int FLOAT_DECIMAL_PRECISION

See Also:
  - Constant Field Values

### DOUBLE_BINARY_PRECISION

public static final int DOUBLE_BINARY_PRECISION

See Also:
  - Constant Field Values

### DOUBLE_DECIMAL_PRECISION

public static final int DOUBLE_DECIMAL_PRECISION

See Also:
  - Constant Field Values

### BIGINT_PRECISION

public static final int BIGINT_PRECISION

See Also:
  - Constant Field Values

### INTEGER_PRECISION

public static final int INTEGER_PRECISION

See Also:
  - Constant Field Values

### SMALLINT_PRECISION

public static final int SMALLINT_PRECISION

See Also:
  - Constant Field Values

### BOOLEAN_BINARY_PRECISION

public static final int BOOLEAN_BINARY_PRECISION

See Also:
  - Constant Field Values

### NUMERIC_BIGINT_PRECISION

public static final int NUMERIC_BIGINT_PRECISION

See Also:
  - Constant Field Values

### NUMERIC_INTEGER_PRECISION

public static final int NUMERIC_INTEGER_PRECISION

See Also:
  - Constant Field Values

### NUMERIC_SMALLINT_PRECISION

public static final int NUMERIC_SMALLINT_PRECISION

See Also:
  - Constant Field Values

### NUMERIC_INT128_PRECISION

public static final int NUMERIC_INT128_PRECISION

See Also:
  - Constant Field Values

### DECFLOAT_16_PRECISION

public static final int DECFLOAT_16_PRECISION

See Also:
  - Constant Field Values

### DECFLOAT_34_PRECISION

public static final int DECFLOAT_34_PRECISION

See Also:
  - Constant Field Values

### DATE_PRECISION

public static final int DATE_PRECISION

See Also:
  - Constant Field Values

### TIME_PRECISION

public static final int TIME_PRECISION

See Also:
  - Constant Field Values

### TIMESTAMP_PRECISION

public static final int TIMESTAMP_PRECISION

See Also:
  - Constant Field Values

### TIME_WITH_TIMEZONE_PRECISION

public static final int TIME_WITH_TIMEZONE_PRECISION

See Also:
  - Constant Field Values

### TIMESTAMP_WITH_TIMEZONE_PRECISION

public static final int TIMESTAMP_WITH_TIMEZONE_PRECISION

See Also:
  - Constant Field Values

### RADIX_BINARY

public static final int RADIX_BINARY

See Also:
  - Constant Field Values

### RADIX_DECIMAL

public static final int RADIX_DECIMAL

See Also:
  - Constant Field Values

### OBJECT_NAME_LENGTH_BEFORE_V4_0

public static final int OBJECT_NAME_LENGTH_BEFORE_V4_0

See Also:
  - Constant Field Values

### OBJECT_NAME_LENGTH_V4_0

public static final int OBJECT_NAME_LENGTH_V4_0

See Also:
  - Constant Field Values

### OBJECT_NAME_LENGTH

public static final int OBJECT_NAME_LENGTH

See Also:
  - Constant Field Values

### smallint_type

public static final int smallint_type

See Also:
  - Constant Field Values

### integer_type

public static final int integer_type

See Also:
  - Constant Field Values

### quad_type

public static final int quad_type

See Also:
  - Constant Field Values

### float_type

public static final int float_type

See Also:
  - Constant Field Values

### d_float_type

public static final int d_float_type

See Also:
  - Constant Field Values

### date_type

public static final int date_type

See Also:
  - Constant Field Values

### time_type

public static final int time_type

See Also:
  - Constant Field Values

### char_type

public static final int char_type

See Also:
  - Constant Field Values

### int64_type

public static final int int64_type

See Also:
  - Constant Field Values

### boolean_type

public static final int boolean_type

See Also:
  - Constant Field Values

### dec16_type

public static final int dec16_type

See Also:
  - Constant Field Values

### dec34_type

public static final int dec34_type

See Also:
  - Constant Field Values

### int128_type

public static final int int128_type

See Also:
  - Constant Field Values

### double_type

public static final int double_type

See Also:
  - Constant Field Values

### time_tz_type

public static final int time_tz_type

See Also:
  - Constant Field Values

### timestamp_tz_type

public static final int timestamp_tz_type

See Also:
  - Constant Field Values

### ex_time_tz_type

public static final int ex_time_tz_type

See Also:
  - Constant Field Values

### ex_timestamp_tz_type

public static final int ex_timestamp_tz_type

See Also:
  - Constant Field Values

### timestamp_type

public static final int timestamp_type

See Also:
  - Constant Field Values

### varchar_type

public static final int varchar_type

See Also:
  - Constant Field Values

### cstring_type

public static final int cstring_type

See Also:
  - Constant Field Values

### blob_type

public static final int blob_type

See Also:
  - Constant Field Values